Bug 334841 - OpenOffice.org writer mail merge database file dialog "All files" does not work
OpenOffice.org writer mail merge database file dialog "All files" does not work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 352651
  Show dependency treegraph
 
Reported: 2007-10-16 13:17 EDT by ritz
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.3.0-6.4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 17:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 82700 None None None Never

  None (edit)
Description ritz 2007-10-16 13:17:56 EDT
Description of problem:
In OpenOffice.org 2.0.4 writer, when selecting a database file for a mail merge
document. The Open dialog does not show any files when the "All files" filter is
selected. If the filter is changed to a particular file type, then files of the
selected type shows up.

The problem is that NO files are shown when the "All files" filter is selected,
even though there are files in the directory. As soon as ANY specific file type
is selected in the filter drop down, files of that type show up in the dialog.
If "All files" is selected again, NO files are shown.

Version-Release number of selected component (if applicable):
openoffice.org-base-2.3.0-6.3.fc8
openoffice.org-draw-2.3.0-6.3.fc8
openoffice.org-core-2.3.0-6.3.fc8
openoffice.org-calc-2.3.0-6.3.fc8
openoffice.org-math-2.3.0-6.3.fc8
openoffice.org-emailmerge-2.3.0-6.3.fc8
openoffice.org-langpack-en-2.3.0-6.3.fc8
openoffice.org-writer-2.3.0-6.3.fc8
openoffice.org-impress-2.3.0-6.3.fc8
openoffice.org-javafilter-2.3.0-6.3.fc8
openoffice.org-xsltfilter-2.3.0-6.3.fc8
openoffice.org-pyuno-2.3.0-6.3.fc8
openoffice.org-headless-2.3.0-6.3.fc8
openoffice.org-graphicfilter-2.3.0-6.3.fc8


How reproducible:
always

Steps to Reproduce:

1 create the following files in a directory: test.csv, test.txt, test.xls (empty
is fine)
2 Start OpenOffice.org Writer which should open with a new blank document
3 Select Mail Merge Wizard from the Tools menu
4 In the Mail Merge Wizard, select Use current document and click Next
5 Select Letter and click Next ( this option alone is seen on FC8 )
6 Click the Select Address List... button in the top right
7 Click the Add... button in the top right
8 Navigate to the directory with the files created earlier in the Open dialog
9 With All files selected, none of the earlier created files are visible
10 If Microsoft Excel is selected in the filter, the .xls file becomes visible
11 Similarly with Comma Separated Values, and Text document
12 If All files is selected again, no files are visible

Actual results:
NO files are shown when the "All files" filter is selected

Expected results:
all files should be shown when the "All files" filter is selected

Additional info:
Issue is reproducible on my F8 box.
Comment 1 ritz 2007-10-16 13:21:34 EDT
Oh ! ignore the version mentioned for OpenOffice.org - 2.0.4. this bug is also
reproducible on rhel5.
Comment 2 Caolan McNamara 2007-10-16 14:45:08 EDT
hmm, there must be an assumption built into the filepicker api about always
having a default filter or something
Comment 3 Caolan McNamara 2007-10-16 15:29:14 EDT
That should fix it; next build.
Comment 4 ritz 2007-10-17 08:33:19 EDT
For sake of tracking this patch. Patch link posted below.

http://cvs.fedoraproject.org/viewcvs/rpms/openoffice.org/devel/workspace.fpicker7.patch?rev=1.1&sortby=date&view=markup
Comment 5 Fedora Update System 2007-10-24 03:13:35 EDT
openoffice.org-2.3.0-6.4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'
Comment 6 Fedora Update System 2007-11-01 17:19:59 EDT
openoffice.org-2.3.0-6.4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.